diff --git a/gcc/config/i386/i386.c b/gcc/config/i386/i386.c
index 842be68..5d48c8f 100644
--- a/gcc/config/i386/i386.c
+++ b/gcc/config/i386/i386.c
@@ -2820,7 +2820,7 @@ ix86_target_string (HOST_WIDE_INT isa, int flags, const char *arch,
 static bool
 ix86_profile_before_prologue (void)
 {
-  return flag_fentry != 0;
+  return GCC_OPTION (flag_fentry) != 0;
 }
 
 /* Function that is callable from the debugger to print the current
@@ -2828,9 +2828,9 @@ ix86_profile_before_prologue (void)
 void ATTRIBUTE_UNUSED
 ix86_debug_options (void)
 {
-  char *opts = ix86_target_string (ix86_isa_flags, target_flags,
-				   ix86_arch_string, ix86_tune_string,
-				   ix86_fpmath, true);
+  char *opts = ix86_target_string (GCC_OPTION (ix86_isa_flags), GCC_OPTION (target_flags),
+				   GCC_OPTION (ix86_arch_string), GCC_OPTION (ix86_tune_string),
+				   GCC_OPTION (ix86_fpmath), true);
 
   if (opts)
     {
@@ -2984,11 +2984,11 @@ ix86_parse_stringop_strategy_string (char *strategy_str, bool is_memset)
 static void
 parse_mtune_ctrl_str (bool dump)
 {
-  if (!ix86_tune_ctrl_string)
+  if (!GCC_OPTION (ix86_tune_ctrl_string))
     return;
 
   char *next_feature_string = NULL;
-  char *curr_feature_string = xstrdup (ix86_tune_ctrl_string);
+  char *curr_feature_string = xstrdup (GCC_OPTION (ix86_tune_ctrl_string));
   char *orig = curr_feature_string;
   int i;
   do
@@ -3034,7 +3034,7 @@ set_ix86_tune_features (enum processor_type ix86_tune, bool dump)
 
   for (i = 0; i < X86_TUNE_LAST; ++i)
     {
-      if (ix86_tune_no_default)
+      if (GCC_OPTION (ix86_tune_no_default))
         ix86_tune_features[i] = 0;
       else
         ix86_tune_features[i] = !!(initial_ix86_tune_features[i] & ix86_tune_mask);
@@ -3615,11 +3615,11 @@ ix86_option_override_internal (bool main_args_p,
 	    && !(opts->x_ix86_isa_flags_explicit & OPTION_MASK_ISA_MOVBE))
 	  opts->x_ix86_isa_flags |= OPTION_MASK_ISA_MOVBE;
 	if (processor_alias_table[i].flags & PTA_AES
-	    && !(ix86_isa_flags_explicit & OPTION_MASK_ISA_AES))
-	  ix86_isa_flags |= OPTION_MASK_ISA_AES;
+	    && !(GCC_OPTION (ix86_isa_flags_explicit) & OPTION_MASK_ISA_AES))
+	  GCC_OPTION (ix86_isa_flags) |= OPTION_MASK_ISA_AES;
 	if (processor_alias_table[i].flags & PTA_SHA
-	    && !(ix86_isa_flags_explicit & OPTION_MASK_ISA_SHA))
-	  ix86_isa_flags |= OPTION_MASK_ISA_SHA;
+	    && !(GCC_OPTION (ix86_isa_flags_explicit) & OPTION_MASK_ISA_SHA))
+	  GCC_OPTION (ix86_isa_flags) |= OPTION_MASK_ISA_SHA;
 	if (processor_alias_table[i].flags & PTA_PCLMUL
 	    && !(opts->x_ix86_isa_flags_explicit & OPTION_MASK_ISA_PCLMUL))
 	  opts->x_ix86_isa_flags |= OPTION_MASK_ISA_PCLMUL;
@@ -4136,7 +4136,7 @@ ix86_option_override_internal (bool main_args_p,
      AVX unaligned load/store.  */
   if (!opts->x_optimize_size)
     {
-      if (flag_expensive_optimizations
+      if (GCC_OPTION (flag_expensive_optimizations)
 	  && !(opts_set->x_target_flags & MASK_VZEROUPPER))
 	opts->x_target_flags |= MASK_VZEROUPPER;
       if (!ix86_tune_features[X86_TUNE_AVX256_UNALIGNED_LOAD_OPTIMAL]
@@ -4344,7 +4344,7 @@ ix86_function_specific_save (struct cl_target_option *ptr,
   ptr->arch = ix86_arch;
   ptr->schedule = ix86_schedule;
   ptr->tune = ix86_tune;
-  ptr->branch_cost = ix86_branch_cost;
+  ptr->branch_cost = GCC_OPTION (ix86_branch_cost);
   ptr->tune_defaulted = ix86_tune_defaulted;
   ptr->arch_specified = ix86_arch_specified;
   ptr->x_ix86_isa_flags_explicit = opts->x_ix86_isa_flags_explicit;
@@ -4380,7 +4380,7 @@ ix86_function_specific_save (struct cl_target_option *ptr,
   gcc_assert (ptr->arch == ix86_arch);
   gcc_assert (ptr->schedule == ix86_schedule);
   gcc_assert (ptr->tune == ix86_tune);
-  gcc_assert (ptr->branch_cost == ix86_branch_cost);
+  gcc_assert (ptr->branch_cost == GCC_OPTION (ix86_branch_cost));
 }
 
 /* Restore the current options */
@@ -4395,7 +4395,7 @@ ix86_function_specific_restore (struct gcc_options *opts,
   int i;
 
   /* We don't change -fPIC.  */
-  opts->x_flag_pic = flag_pic;
+  opts->x_flag_pic = GCC_OPTION (flag_pic);
 
   ix86_arch = (enum processor_type) ptr->arch;
   ix86_schedule = (enum attr_cpu) ptr->schedule;
@@ -4997,7 +4997,7 @@ ix86_set_current_function (tree fndecl)
 static bool
 ix86_in_large_data_p (tree exp)
 {
-  if (ix86_cmodel != CM_MEDIUM && ix86_cmodel != CM_MEDIUM_PIC)
+  if (GCC_OPTION (ix86_cmodel) != CM_MEDIUM && GCC_OPTION (ix86_cmodel) != CM_MEDIUM_PIC)
     return false;
 
   /* Functions are never large data.  */
@@ -5018,7 +5018,7 @@ ix86_in_large_data_p (tree exp)
 
       /* If this is an incomplete type with size 0, then we can't put it
 	 in data because it might be too big when completed.  */
-      if (!size || size > ix86_section_threshold)
+      if (!size || size > GCC_OPTION (ix86_section_threshold))
 	return true;
     }
 
@@ -5034,7 +5034,7 @@ ATTRIBUTE_UNUSED static section *
 x86_64_elf_select_section (tree decl, int reloc,
 			   unsigned HOST_WIDE_INT align)
 {
-  if ((ix86_cmodel == CM_MEDIUM || ix86_cmodel == CM_MEDIUM_PIC)
+  if ((GCC_OPTION (ix86_cmodel) == CM_MEDIUM || GCC_OPTION (ix86_cmodel) == CM_MEDIUM_PIC)
       && ix86_in_large_data_p (decl))
     {
       const char *sname = NULL;
@@ -5121,7 +5121,7 @@ x86_64_elf_section_type_flags (tree decl, const char *name, int reloc)
 static void ATTRIBUTE_UNUSED
 x86_64_elf_unique_section (tree decl, int reloc)
 {
-  if ((ix86_cmodel == CM_MEDIUM || ix86_cmodel == CM_MEDIUM_PIC)
+  if ((GCC_OPTION (ix86_cmodel) == CM_MEDIUM || GCC_OPTION (ix86_cmodel) == CM_MEDIUM_PIC)
       && ix86_in_large_data_p (decl))
     {
       const char *prefix = NULL;
@@ -5189,8 +5189,8 @@ x86_elf_aligned_common (FILE *file,
 			const char *name, unsigned HOST_WIDE_INT size,
 			int align)
 {
-  if ((ix86_cmodel == CM_MEDIUM || ix86_cmodel == CM_MEDIUM_PIC)
-      && size > (unsigned int)ix86_section_threshold)
+  if ((GCC_OPTION (ix86_cmodel) == CM_MEDIUM || GCC_OPTION (ix86_cmodel) == CM_MEDIUM_PIC)
+      && size > (unsigned int)GCC_OPTION (ix86_section_threshold))
     fputs (".largecomm\t", file);
   else
     fputs (COMMON_ASM_OP, file);
@@ -5208,8 +5208,8 @@ x86_output_aligned_bss (FILE *file, tree decl ATTRIBUTE_UNUSED,
 			const char *name, unsigned HOST_WIDE_INT size,
 			int align)
 {
-  if ((ix86_cmodel == CM_MEDIUM || ix86_cmodel == CM_MEDIUM_PIC)
-      && size > (unsigned int)ix86_section_threshold)
+  if ((GCC_OPTION (ix86_cmodel) == CM_MEDIUM || GCC_OPTION (ix86_cmodel) == CM_MEDIUM_PIC)
+      && size > (unsigned int)GCC_OPTION (ix86_section_threshold))
     switch_to_section (get_named_section (decl, ".lbss", 0));
   else
     switch_to_section (bss_section);
@@ -5232,7 +5232,7 @@ bool
 ix86_target_stack_probe (void)
 {
   /* Do not probe the stack twice if static stack checking is enabled.  */
-  if (flag_stack_check == STATIC_BUILTIN_STACK_CHECK)
+  if (GCC_OPTION (flag_stack_check) == STATIC_BUILTIN_STACK_CHECK)
     return false;
 
   return TARGET_STACK_PROBE;
@@ -5253,7 +5253,7 @@ ix86_function_ok_for_sibcall (tree decl, tree exp)
      as the PLT requires %ebx be live. (Darwin does not have a PLT.)  */
   if (!TARGET_MACHO
       && !TARGET_64BIT
-      && flag_pic
+      && GCC_OPTION (flag_pic)
       && (!decl || !targetm.binds_local_p (decl)))
     return false;
 
@@ -5452,7 +5452,7 @@ ix86_handle_cconv_attribute (tree *node, tree name,
     }
   else if (is_attribute_p ("thiscall", name))
     {
-      if (TREE_CODE (*node) != METHOD_TYPE && pedantic)
+      if (TREE_CODE (*node) != METHOD_TYPE && GCC_OPTION (pedantic))
 	warning (OPT_Wattributes, "%qE attribute is used for none class-method",
 	         name);
       if (lookup_attribute ("stdcall", TYPE_ATTRIBUTES (*node)))
@@ -5596,7 +5596,7 @@ ix86_function_regparm (const_tree type, const_tree decl)
     return (ix86_function_type_abi (type) == SYSV_ABI
 	    ? X86_64_REGPARM_MAX : X86_64_MS_REGPARM_MAX);
   ccvt = ix86_get_callcvt (type);
-  regparm = ix86_regparm;
+  regparm = GCC_OPTION (ix86_regparm);
 
   if ((ccvt & IX86_CALLCVT_REGPARM) != 0)
     {
@@ -5621,7 +5621,7 @@ ix86_function_regparm (const_tree type, const_tree decl)
 	 and callee not, or vice versa.  Instead look at whether the callee
 	 is optimized or not.  */
       && opt_for_fn (decl, optimize)
-      && !(profile_flag && !flag_fentry))
+      && !(GCC_OPTION (profile_flag) && !GCC_OPTION (flag_fentry)))
     {
       /* FIXME: remove this CONST_CAST when cgraph.[ch] is constified.  */
       struct cgraph_local_info *i = cgraph_local_info (CONST_CAST_TREE (decl));
@@ -5641,7 +5641,7 @@ ix86_function_regparm (const_tree type, const_tree decl)
 	    local_regparm = 2;
 
 	  /* In 32-bit mode save a register for the split stack.  */
-	  if (!TARGET_64BIT && local_regparm == 3 && flag_split_stack)
+	  if (!TARGET_64BIT && local_regparm == 3 && GCC_OPTION (flag_split_stack))
 	    local_regparm = 2;
 
 	  /* Each fixed register usage increases register pressure,
@@ -5697,8 +5697,8 @@ ix86_function_sseregparm (const_tree type, const_tree decl, bool warn)
 
   /* For local functions, pass up to SSE_REGPARM_MAX SFmode
      (and DFmode for SSE2) arguments in SSE registers.  */
-  if (decl && TARGET_SSE_MATH && optimize
-      && !(profile_flag && !flag_fentry))
+  if (decl && TARGET_SSE_MATH && GCC_OPTION (optimize)
+      && !(GCC_OPTION (profile_flag) && !GCC_OPTION (flag_fentry)))
     {
       /* FIXME: remove this CONST_CAST when cgraph.[ch] is constified.  */
       struct cgraph_local_info *i = cgraph_local_info (CONST_CAST_TREE(decl));
@@ -5914,14 +5914,14 @@ ix86_function_arg_regno_p (int regno)
      default ABI.  */
 
   /* RAX is used as hidden argument to va_arg functions.  */
-  if (ix86_abi == SYSV_ABI && regno == AX_REG)
+  if (GCC_OPTION (ix86_abi) == SYSV_ABI && regno == AX_REG)
     return true;
 
-  if (ix86_abi == MS_ABI)
+  if (GCC_OPTION (ix86_abi) == MS_ABI)
     parm_regs = x86_64_ms_abi_int_parameter_registers;
   else
     parm_regs = x86_64_int_parameter_registers;
-  for (i = 0; i < (ix86_abi == MS_ABI
+  for (i = 0; i < (GCC_OPTION (ix86_abi) == MS_ABI
 		   ? X86_64_MS_REGPARM_MAX : X86_64_REGPARM_MAX); i++)
     if (regno == parm_regs[i])
       return true;
@@ -5966,7 +5966,7 @@ ix86_function_type_abi (const_tree fntype)
 {
   if (fntype != NULL_TREE && TYPE_ATTRIBUTES (fntype) != NULL_TREE)
     {
-      enum calling_abi abi = ix86_abi;
+      enum calling_abi abi = GCC_OPTION (ix86_abi);
       if (abi == SYSV_ABI)
 	{
 	  if (lookup_attribute ("ms_abi", TYPE_ATTRIBUTES (fntype)))
@@ -5976,7 +5976,7 @@ ix86_function_type_abi (const_tree fntype)
 	abi = SYSV_ABI;
       return abi;
     }
-  return ix86_abi;
+  return GCC_OPTION (ix86_abi);
 }
 
 /* We add this as a workaround in order to use libc_has_function
@@ -6005,7 +6005,7 @@ static enum calling_abi
 ix86_function_abi (const_tree fndecl)
 {
   if (! fndecl)
-    return ix86_abi;
+    return GCC_OPTION (ix86_abi);
   return ix86_function_type_abi (TREE_TYPE (fndecl));
 }
 
@@ -6015,7 +6015,7 @@ enum calling_abi
 ix86_cfun_abi (void)
 {
   if (! cfun)
-    return ix86_abi;
+    return GCC_OPTION (ix86_abi);
   return cfun->machine->call_abi;
 }
 
@@ -6072,7 +6072,7 @@ void
 ix86_call_abi_override (const_tree fndecl)
 {
   if (fndecl == NULL_TREE)
-    cfun->machine->call_abi = ix86_abi;
+    cfun->machine->call_abi = GCC_OPTION (ix86_abi);
   else
     cfun->machine->call_abi = ix86_function_type_abi (TREE_TYPE (fndecl));
 }
@@ -6117,7 +6117,7 @@ init_cumulative_args (CUMULATIVE_ARGS *cum,  /* Argument info to initialize */
   cum->caller = caller;
 
   /* Set up the number of registers to use for passing arguments.  */
-  cum->nregs = ix86_regparm;
+  cum->nregs = GCC_OPTION (ix86_regparm);
   if (TARGET_64BIT)
     {
       cum->nregs = (cum->call_abi == SYSV_ABI
@@ -6487,7 +6487,7 @@ classify_argument (enum machine_mode mode, const_tree type,
 			{
 			  static bool warned;
 
-			  if (!warned && warn_psabi)
+			  if (!warned && GCC_OPTION (warn_psabi))
 			    {
 			      warned = true;
 			      inform (input_location,
@@ -6604,7 +6604,7 @@ classify_argument (enum machine_mode mode, const_tree type,
 
 	      /* The first one should never be X86_64_X87UP_CLASS.  */
 	      gcc_assert (i != 0);
-	      if (!warned && warn_psabi)
+	      if (!warned && GCC_OPTION (warn_psabi))
 		{
 		  warned = true;
 		  inform (input_location,
@@ -6722,7 +6722,7 @@ classify_argument (enum machine_mode mode, const_tree type,
 	{
 	  static bool warned;
 
-	  if (!warned && warn_psabi)
+	  if (!warned && GCC_OPTION (warn_psabi))
 	    {
 	      warned = true;
 	      inform (input_location,
@@ -7244,7 +7244,7 @@ ix86_function_arg_advance (cumulative_args_t cum_v, enum machine_mode mode,
   if (type)
     mode = type_natural_mode (type, NULL, false);
 
-  if (TARGET_64BIT && (cum ? cum->call_abi : ix86_abi) == MS_ABI)
+  if (TARGET_64BIT && (cum ? cum->call_abi : GCC_OPTION (ix86_abi)) == MS_ABI)
     function_arg_advance_ms_64 (cum, bytes, words);
   else if (TARGET_64BIT)
     function_arg_advance_64 (cum, mode, type, words, named);
@@ -7495,7 +7495,7 @@ ix86_function_arg (cumulative_args_t cum_v, enum machine_mode omode,
   if (type && TREE_CODE (type) == VECTOR_TYPE)
     mode = type_natural_mode (type, cum, false);
 
-  if (TARGET_64BIT && (cum ? cum->call_abi : ix86_abi) == MS_ABI)
+  if (TARGET_64BIT && (cum ? cum->call_abi : GCC_OPTION (ix86_abi)) == MS_ABI)
     arg = function_arg_ms_64 (cum, mode, omode, named, bytes);
   else if (TARGET_64BIT)
     arg = function_arg_64 (cum, mode, omode, type, named);
@@ -7518,7 +7518,7 @@ ix86_pass_by_reference (cumulative_args_t cum_v, enum machine_mode mode,
   CUMULATIVE_ARGS *cum = get_cumulative_args (cum_v);
 
   /* See Windows x64 Software Convention.  */
-  if (TARGET_64BIT && (cum ? cum->call_abi : ix86_abi) == MS_ABI)
+  if (TARGET_64BIT && (cum ? cum->call_abi : GCC_OPTION (ix86_abi)) == MS_ABI)
     {
       int msize = (int) GET_MODE_SIZE (mode);
       if (type)
@@ -7726,7 +7726,7 @@ ix86_function_arg_boundary (enum machine_mode mode, const_tree type)
 	    align = PARM_BOUNDARY;
 	}
 
-      if (warn_psabi
+      if (GCC_OPTION (warn_psabi)
 	  && !warned
 	  && align != ix86_compat_function_arg_boundary (mode, type,
 							 saved_align))
@@ -7754,7 +7754,7 @@ ix86_function_value_regno_p (const unsigned int regno)
       return true;
     case DI_REG:
     case SI_REG:
-      return TARGET_64BIT && ix86_abi != MS_ABI;
+      return TARGET_64BIT && GCC_OPTION (ix86_abi) != MS_ABI;
 
       /* Complex values are returned in %st(0)/%st(1) pair.  */
     case ST0_REG:
@@ -7762,7 +7762,7 @@ ix86_function_value_regno_p (const unsigned int regno)
       /* TODO: The function should depend on current function ABI but
        builtins.c would need updating then. Therefore we use the
        default ABI.  */
-      if (TARGET_64BIT && ix86_abi == MS_ABI)
+      if (TARGET_64BIT && GCC_OPTION (ix86_abi) == MS_ABI)
 	return false;
       return TARGET_FLOAT_RETURNS_IN_80387;
 
@@ -8139,13 +8139,13 @@ ix86_build_builtin_va_list_abi (enum calling_abi abi)
 static tree
 ix86_build_builtin_va_list (void)
 {
-  tree ret = ix86_build_builtin_va_list_abi (ix86_abi);
+  tree ret = ix86_build_builtin_va_list_abi (GCC_OPTION (ix86_abi));
 
   /* Initialize abi specific va_list builtin types.  */
   if (TARGET_64BIT)
     {
       tree t;
-      if (ix86_abi == MS_ABI)
+      if (GCC_OPTION (ix86_abi) == MS_ABI)
         {
           t = ix86_build_builtin_va_list_abi (SYSV_ABI);
           if (TREE_CODE (t) != RECORD_TYPE)
@@ -8159,7 +8159,7 @@ ix86_build_builtin_va_list (void)
             t = build_variant_type_copy (t);
           sysv_va_list_type_node = t;
         }
-      if (ix86_abi != MS_ABI)
+      if (GCC_OPTION (ix86_abi) != MS_ABI)
         {
           t = ix86_build_builtin_va_list_abi (MS_ABI);
           if (TREE_CODE (t) != RECORD_TYPE)
@@ -8332,7 +8332,7 @@ is_va_list_char_pointer (tree type)
     return true;
   canonic = ix86_canonical_va_list_type (type);
   return (canonic == ms_va_list_type_node
-          || (ix86_abi == MS_ABI && canonic == va_list_type_node));
+          || (GCC_OPTION (ix86_abi) == MS_ABI && canonic == va_list_type_node));
 }
 
 /* Implement va_start.  */
@@ -8346,7 +8346,7 @@ ix86_va_start (tree valist, rtx nextarg)
   tree type;
   rtx ovf_rtx;
 
-  if (flag_split_stack
+  if (GCC_OPTION (flag_split_stack)
       && cfun->machine->split_stack_varargs_pointer == NULL_RTX)
     {
       unsigned int scratch_regno;
@@ -9085,7 +9085,7 @@ ix86_frame_pointer_required (void)
 	  || ix86_current_function_calls_tls_descriptor))
     return true;
 
-  if (crtl->profile && !flag_fentry)
+  if (crtl->profile && !GCC_OPTION (flag_fentry))
     return true;
 
   return false;
@@ -9213,7 +9213,7 @@ ix86_code_end (void)
       current_function_decl = NULL;
     }
 
-  if (flag_split_stack)
+  if (GCC_OPTION (flag_split_stack))
     file_end_indicate_split_stack ();
 }
 
@@ -9226,7 +9226,7 @@ output_set_got (rtx dest, rtx label)
 
   xops[0] = dest;
 
-  if (TARGET_VXWORKS_RTP && flag_pic)
+  if (TARGET_VXWORKS_RTP && GCC_OPTION (flag_pic))
     {
       /* Load (*VXWORKS_GOTT_BASE) into the PIC register.  */
       xops[2] = gen_rtx_MEM (Pmode,
@@ -9244,7 +9244,7 @@ output_set_got (rtx dest, rtx label)
 
   xops[1] = gen_rtx_SYMBOL_REF (Pmode, GOT_SYMBOL_NAME);
 
-  if (!flag_pic)
+  if (!GCC_OPTION (flag_pic))
     {
       if (TARGET_MACHO)
 	/* We don't need a pic base, we're not producing pic.  */
@@ -9541,7 +9541,7 @@ ix86_compute_frame_layout (struct ix86_frame *frame)
       if (count)
 	count = (count - 1) * FAST_PROLOGUE_INSN_COUNT;
       if (node->frequency < NODE_FREQUENCY_NORMAL
-	  || (flag_branch_probabilities
+	  || (GCC_OPTION (flag_branch_probabilities)
 	      && node->frequency < NODE_FREQUENCY_HOT))
         cfun->machine->use_fast_prologue_epilogue = false;
       else
@@ -9553,7 +9553,7 @@ ix86_compute_frame_layout (struct ix86_frame *frame)
     = (TARGET_PROLOGUE_USING_MOVE && cfun->machine->use_fast_prologue_epilogue
        /* If static stack checking is enabled and done with probes,
 	  the registers need to be saved before allocating the frame.  */
-       && flag_stack_check != STATIC_BUILTIN_STACK_CHECK);
+       && GCC_OPTION (flag_stack_check) != STATIC_BUILTIN_STACK_CHECK);
 
   /* Skip return address.  */
   offset = UNITS_PER_WORD;
@@ -10096,7 +10096,7 @@ ix86_minimum_incoming_stack_boundary (bool sibcall)
      estimated stack alignment is 128bit.  */
   else if (!sibcall
 	   && !TARGET_64BIT
-	   && ix86_force_align_arg_pointer
+	   && GCC_OPTION (ix86_force_align_arg_pointer)
 	   && crtl->stack_alignment_estimated == 128)
     incoming_stack_boundary = MIN_STACK_BOUNDARY;
   else
@@ -10148,7 +10148,7 @@ ix86_update_stack_boundary (void)
 static rtx
 ix86_get_drap_rtx (void)
 {
-  if (ix86_force_drap || !ACCUMULATE_OUTGOING_ARGS)
+  if (GCC_OPTION (ix86_force_drap) || !ACCUMULATE_OUTGOING_ARGS)
     crtl->need_drap = true;
 
   if (stack_realign_drap)
@@ -10168,7 +10168,7 @@ ix86_get_drap_rtx (void)
       end_sequence ();
 
       insn = emit_insn_before (seq, NEXT_INSN (entry_of_function ()));
-      if (!optimize)
+      if (!GCC_OPTION (optimize))
 	{
 	  add_reg_note (insn, REG_CFA_SET_VDRAP, drap_vreg);
 	  RTX_FRAME_RELATED_P (insn) = 1;
@@ -10621,13 +10621,13 @@ ix86_finalize_stack_realign_flags (void)
   if (stack_realign
       && frame_pointer_needed
       && crtl->is_leaf
-      && flag_omit_frame_pointer
+      && GCC_OPTION (flag_omit_frame_pointer)
       && crtl->sp_is_unchanging
       && !ix86_current_function_calls_tls_descriptor
       && !crtl->accesses_prior_frames
       && !cfun->calls_alloca
       && !crtl->calls_eh_return
-      && !(flag_stack_check && STACK_CHECK_MOVING_SP)
+      && !(GCC_OPTION (flag_stack_check) && STACK_CHECK_MOVING_SP)
       && !ix86_frame_pointer_required ()
       && get_frame_size () == 0
       && ix86_nsaved_sseregs () == 0
@@ -10728,7 +10728,7 @@ ix86_expand_prologue (void)
 
       /* Check if profiling is active and we shall use profiling before
          prologue variant. If so sorry.  */
-      if (crtl->profile && flag_fentry != 0)
+      if (crtl->profile && GCC_OPTION (flag_fentry) != 0)
         sorry ("ms_hook_prologue attribute isn%'t compatible "
 	       "with -mfentry for 32-bit");
 
@@ -10938,7 +10938,7 @@ ix86_expand_prologue (void)
 
   allocate = frame.stack_pointer_offset - m->fs.sp_offset;
 
-  if (flag_stack_usage_info)
+  if (GCC_OPTION (flag_stack_usage_info))
     {
       /* We start to count from ARG_POINTER.  */
       HOST_WIDE_INT stack_size = frame.stack_pointer_offset;
@@ -10984,7 +10984,7 @@ ix86_expand_prologue (void)
 
   /* The stack has already been decremented by the instruction calling us
      so probe if the size is non-negative to preserve the protection area.  */
-  if (allocate >= 0 && flag_stack_check == STATIC_BUILTIN_STACK_CHECK)
+  if (allocate >= 0 && GCC_OPTION (flag_stack_check) == STATIC_BUILTIN_STACK_CHECK)
     {
       /* We expect the registers to be saved when probes are used.  */
       gcc_assert (int_registers_saved);
@@ -11161,7 +11161,7 @@ ix86_expand_prologue (void)
     {
       if (TARGET_64BIT)
 	{
-	  if (ix86_cmodel == CM_LARGE_PIC)
+	  if (GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC)
 	    {
 	      rtx label, tmp_reg;
 
@@ -11192,7 +11192,7 @@ ix86_expand_prologue (void)
      when mcount needs it.  Blockage to avoid call movement across mcount
      call is emitted in generic code after the NOTE_INSN_PROLOGUE_END
      note.  */
-  if (crtl->profile && !flag_fentry && pic_reg_used)
+  if (crtl->profile && !GCC_OPTION (flag_fentry) && pic_reg_used)
     emit_insn (gen_prologue_use (pic_offset_table_rtx));
 
   if (crtl->drap_reg && !crtl->stack_realign_needed)
@@ -11579,7 +11579,7 @@ ix86_expand_epilogue (int style)
 	     epilogue sequence.  Unfortuantely crtl->uses_eh_lsda nor
 	     several other flags that would be interesting to test are
 	     not yet set up.  */
-	  if (flag_non_call_exceptions)
+	  if (GCC_OPTION (flag_non_call_exceptions))
 	    emit_insn (gen_nops (const1_rtx));
 	  else
 	    emit_insn (gen_blockage ());
@@ -11859,7 +11859,7 @@ ix86_expand_split_stack_prologue (void)
   rtx varargs_label = NULL_RTX;
   rtx fn;
 
-  gcc_assert (flag_split_stack && reload_completed);
+  gcc_assert (GCC_OPTION (flag_split_stack) && reload_completed);
 
   ix86_finalize_stack_realign_flags ();
   ix86_compute_frame_layout (&frame);
@@ -11951,7 +11951,7 @@ ix86_expand_split_stack_prologue (void)
 	  use_reg (&call_fusage, rax);
 	}
 
-      if ((ix86_cmodel == CM_LARGE || ix86_cmodel == CM_LARGE_PIC)
+      if ((GCC_OPTION (ix86_cmodel) == CM_LARGE || GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC)
           && !TARGET_PECOFF)
 	{
 	  HOST_WIDE_INT argval;
@@ -11970,7 +11970,7 @@ ix86_expand_split_stack_prologue (void)
 	    split_stack_fn_large =
 	      gen_rtx_SYMBOL_REF (Pmode, "__morestack_large_model");
 
-	  if (ix86_cmodel == CM_LARGE_PIC)
+	  if (GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC)
 	    {
 	      rtx label, x;
 
@@ -12102,7 +12102,7 @@ ix86_live_on_entry (bitmap regs)
 {
   if (cfun->machine->split_stack_varargs_pointer != NULL_RTX)
     {
-      gcc_assert (flag_split_stack);
+      gcc_assert (GCC_OPTION (flag_split_stack));
       bitmap_set_bit (regs, split_stack_prologue_scratch_regno ());
     }
 }
@@ -12647,20 +12647,20 @@ legitimate_pic_address_disp_p (rtx disp)
 	         large-model.
 	         For the small-model we don't need to resolve anything
 	         here.  */
-	      if ((ix86_cmodel != CM_LARGE_PIC
+	      if ((GCC_OPTION (ix86_cmodel) != CM_LARGE_PIC
 	           && SYMBOL_REF_FUNCTION_P (op0))
-		  || ix86_cmodel == CM_SMALL_PIC)
+		  || GCC_OPTION (ix86_cmodel) == CM_SMALL_PIC)
 		return true;
 	      /* Non-external symbols don't need to be resolved for
 	         large, and medium-model.  */
-	      if ((ix86_cmodel == CM_LARGE_PIC
-		   || ix86_cmodel == CM_MEDIUM_PIC)
+	      if ((GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC
+		   || GCC_OPTION (ix86_cmodel) == CM_MEDIUM_PIC)
 		  && !SYMBOL_REF_EXTERNAL_P (op0))
 		return true;
 	    }
 	  else if (!SYMBOL_REF_FAR_ADDR_P (op0)
 		   && SYMBOL_REF_LOCAL_P (op0)
-		   && ix86_cmodel != CM_LARGE_PIC)
+		   && GCC_OPTION (ix86_cmodel) != CM_LARGE_PIC)
 	    return true;
 	  break;
 
@@ -12932,7 +12932,7 @@ ix86_legitimate_address_p (enum machine_mode mode ATTRIBUTE_UNUSED,
 	     them at all and use IP relative instead.  */
 	  case UNSPEC_GOT:
 	  case UNSPEC_GOTOFF:
-	    gcc_assert (flag_pic);
+	    gcc_assert (GCC_OPTION (flag_pic));
 	    if (!TARGET_64BIT)
 	      goto is_legitimate_pic;
 
@@ -12941,7 +12941,7 @@ ix86_legitimate_address_p (enum machine_mode mode ATTRIBUTE_UNUSED,
 
 	  case UNSPEC_GOTPCREL:
 	  case UNSPEC_PCREL:
-	    gcc_assert (flag_pic);
+	    gcc_assert (GCC_OPTION (flag_pic));
 	    goto is_legitimate_pic;
 
 	  case UNSPEC_GOTTPOFF:
@@ -12952,7 +12952,7 @@ ix86_legitimate_address_p (enum machine_mode mode ATTRIBUTE_UNUSED,
 	    break;
 
 	  case UNSPEC_STACK_CHECK:
-	    gcc_assert (flag_split_stack);
+	    gcc_assert (GCC_OPTION (flag_split_stack));
 	    break;
 
 	  default:
@@ -12961,7 +12961,7 @@ ix86_legitimate_address_p (enum machine_mode mode ATTRIBUTE_UNUSED,
 	  }
 
       else if (SYMBOLIC_CONST (disp)
-	       && (flag_pic
+	       && (GCC_OPTION (flag_pic)
 		   || (TARGET_MACHO
 #if TARGET_MACHO
 		       && MACHOPIC_INDIRECT
@@ -12983,7 +12983,7 @@ ix86_legitimate_address_p (enum machine_mode mode ATTRIBUTE_UNUSED,
 		/* Non-constant pic memory reference.  */
 		return false;
 	    }
-	  else if ((!TARGET_MACHO || flag_pic)
+	  else if ((!TARGET_MACHO || GCC_OPTION (flag_pic))
 		    && ! legitimate_pic_address_disp_p (disp))
 	    /* Displacement is an invalid pic construct.  */
 	    return false;
@@ -13103,7 +13103,7 @@ legitimize_pic_address (rtx orig, rtx reg)
   if (TARGET_64BIT && legitimate_pic_address_disp_p (addr))
     new_rtx = addr;
   else if (TARGET_64BIT && !TARGET_PECOFF
-	   && ix86_cmodel != CM_SMALL_PIC && gotoff_operand (addr, Pmode))
+	   && GCC_OPTION (ix86_cmodel) != CM_SMALL_PIC && gotoff_operand (addr, Pmode))
     {
       rtx tmpreg;
       /* This symbol may be referenced via a displacement from the PIC
@@ -13184,7 +13184,7 @@ legitimize_pic_address (rtx orig, rtx reg)
 	  emit_move_insn (reg, new_rtx);
 	  new_rtx = reg;
 	}
-      else if (TARGET_64BIT && ix86_cmodel != CM_LARGE_PIC)
+      else if (TARGET_64BIT && GCC_OPTION (ix86_cmodel) != CM_LARGE_PIC)
 	{
 	  new_rtx = gen_rtx_UNSPEC (Pmode, gen_rtvec (1, addr), UNSPEC_GOTPCREL);
 	  new_rtx = gen_rtx_CONST (Pmode, new_rtx);
@@ -13355,7 +13355,7 @@ ix86_tls_get_addr (void)
       ix86_tls_symbol = gen_rtx_SYMBOL_REF (Pmode, sym);
     }
 
-  if (ix86_cmodel == CM_LARGE_PIC && !TARGET_PECOFF)
+  if (GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC && !TARGET_PECOFF)
     {
       rtx unspec = gen_rtx_UNSPEC (Pmode, gen_rtvec (1, ix86_tls_symbol),
 				   UNSPEC_PLTOFF);
@@ -13411,7 +13411,7 @@ legitimize_tls_address (rtx x, enum tls_model model, bool for_mov)
 
       if (!TARGET_64BIT)
 	{
-	  if (flag_pic && !TARGET_PECOFF)
+	  if (GCC_OPTION (flag_pic) && !TARGET_PECOFF)
 	    pic = pic_offset_table_rtx;
 	  else
 	    {
@@ -13466,7 +13466,7 @@ legitimize_tls_address (rtx x, enum tls_model model, bool for_mov)
 
       if (!TARGET_64BIT)
 	{
-	  if (flag_pic)
+	  if (GCC_OPTION (flag_pic))
 	    pic = pic_offset_table_rtx;
 	  else
 	    {
@@ -13551,7 +13551,7 @@ legitimize_tls_address (rtx x, enum tls_model model, bool for_mov)
 	  pic = NULL;
 	  type = UNSPEC_GOTNTPOFF;
 	}
-      else if (flag_pic)
+      else if (GCC_OPTION (flag_pic))
 	{
 	  if (reload_in_progress)
 	    df_set_regs_ever_live (PIC_OFFSET_TABLE_REGNUM, true);
@@ -13751,7 +13751,7 @@ legitimize_pe_coff_symbol (rtx addr, bool inreg)
 	}
     }
 
-  if (ix86_cmodel != CM_LARGE_PIC && ix86_cmodel != CM_MEDIUM_PIC)
+  if (GCC_OPTION (ix86_cmodel) != CM_LARGE_PIC && GCC_OPTION (ix86_cmodel) != CM_MEDIUM_PIC)
     return NULL_RTX;
   if (GET_CODE (addr) == SYMBOL_REF
       && !is_imported_p (addr)
@@ -13817,7 +13817,7 @@ ix86_legitimize_address (rtx x, rtx oldx ATTRIBUTE_UNUSED,
         return tmp;
     }
 
-  if (flag_pic && SYMBOLIC_CONST (x))
+  if (GCC_OPTION (flag_pic) && SYMBOLIC_CONST (x))
     return legitimize_pic_address (x, 0);
 
 #if TARGET_MACHO
@@ -13939,7 +13939,7 @@ ix86_legitimize_address (rtx x, rtx oldx ATTRIBUTE_UNUSED,
 	  && REG_P (XEXP (x, 0)))
 	return x;
 
-      if (flag_pic && SYMBOLIC_CONST (XEXP (x, 1)))
+      if (GCC_OPTION (flag_pic) && SYMBOLIC_CONST (XEXP (x, 1)))
 	{
 	  changed = 1;
 	  x = legitimize_pic_address (x, 0);
@@ -13993,7 +13993,7 @@ output_pic_addr_const (FILE *file, rtx x, int code)
   switch (GET_CODE (x))
     {
     case PC:
-      gcc_assert (flag_pic);
+      gcc_assert (GCC_OPTION (flag_pic));
       putc ('.', file);
       break;
 
@@ -14295,7 +14295,7 @@ ix86_delegitimize_address (rtx x)
 	  return x;
 	}
 
-      if (ix86_cmodel != CM_MEDIUM_PIC && ix86_cmodel != CM_LARGE_PIC)
+      if (GCC_OPTION (ix86_cmodel) != CM_MEDIUM_PIC && GCC_OPTION (ix86_cmodel) != CM_LARGE_PIC)
 	return ix86_delegitimize_tls_address (orig_x);
 
       /* Fall thru into the code shared with -m32 for -mcmodel=large -fpic
@@ -14337,7 +14337,7 @@ ix86_delegitimize_address (rtx x)
   if (GET_CODE (x) == UNSPEC
       && ((XINT (x, 1) == UNSPEC_GOT && MEM_P (orig_x) && !addend)
 	  || (XINT (x, 1) == UNSPEC_GOTOFF && !MEM_P (orig_x))
-	  || (XINT (x, 1) == UNSPEC_PLTOFF && ix86_cmodel == CM_LARGE_PIC
+	  || (XINT (x, 1) == UNSPEC_PLTOFF && GCC_OPTION (ix86_cmodel) == CM_LARGE_PIC
 	      && !MEM_P (orig_x) && !addend)))
     result = XVECEXP (x, 0, 0);
 
@@ -15259,7 +15259,7 @@ ix86_print_operand (FILE *file, rtx x, int code)
 	  {
 	    rtx x;
 
-	    if (!optimize
+	    if (!GCC_OPTION (optimize)
 	        || optimize_function_for_size_p (cfun)
 		|| !TARGET_BRANCH_PREDICTION_HINTS)
 	      return;
@@ -15305,7 +15305,7 @@ ix86_print_operand (FILE *file, rtx x, int code)
 	  /* The kernel uses a different segment register for performance
 	     reasons; a system call would not have to trash the userspace
 	     segment register, which would be expensive.  */
-	  if (TARGET_64BIT && ix86_cmodel != CM_KERNEL)
+	  if (TARGET_64BIT && GCC_OPTION (ix86_cmodel) != CM_KERNEL)
 	    fputs ("fs", file);
 	  else
 	    fputs ("gs", file);
@@ -15451,7 +15451,7 @@ ix86_print_operand (FILE *file, rtx x, int code)
 	}
       if (CONST_INT_P (x))
 	fprintf (file, HOST_WIDE_INT_PRINT_DEC, INTVAL (x));
-      else if (flag_pic || MACHOPIC_INDIRECT)
+      else if (GCC_OPTION (flag_pic) || MACHOPIC_INDIRECT)
 	output_pic_addr_const (file, x, code);
       else
 	output_addr_const (file, x);
@@ -15541,7 +15541,7 @@ ix86_print_operand_address (FILE *file, rtx addr)
 	    fputs ("ds:", file);
 	  fprintf (file, HOST_WIDE_INT_PRINT_DEC, INTVAL (disp));
 	}
-      else if (flag_pic)
+      else if (GCC_OPTION (flag_pic))
 	output_pic_addr_const (file, disp, 0);
       else
 	output_addr_const (file, disp);
@@ -15598,7 +15598,7 @@ ix86_print_operand_address (FILE *file, rtx addr)
 	{
 	  if (disp)
 	    {
-	      if (flag_pic)
+	      if (GCC_OPTION (flag_pic))
 		output_pic_addr_const (file, disp, 0);
 	      else if (GET_CODE (disp) == LABEL_REF)
 		output_asm_label (disp);
@@ -15634,7 +15634,7 @@ ix86_print_operand_address (FILE *file, rtx addr)
 					XEXP (XEXP (disp, 0), 0));
 		}
 
-	      if (flag_pic)
+	      if (GCC_OPTION (flag_pic))
 		output_pic_addr_const (file, disp, 0);
 	      else if (GET_CODE (disp) == LABEL_REF)
 		output_asm_label (disp);
@@ -15729,7 +15729,7 @@ i386_asm_output_addr_const_extra (FILE *file, rtx x)
       {
 	int offset;
 
-	gcc_assert (flag_split_stack);
+	gcc_assert (GCC_OPTION (flag_split_stack));
 
 #ifdef TARGET_THREAD_SPLIT_STACK_OFFSET
 	offset = TARGET_THREAD_SPLIT_STACK_OFFSET;
